<?php
/**
 * @package Google Maps
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 **/

if(!defined('_JEXEC')) {
define('_JEXEC',1);
} else {
defined('_JEXEC') or die('Restircted access');
}
function getNewMap($mapId, $last_id, $result) {
    $db1 = JFactory::getDBO();
    $query1 = $db1->getQuery(true);
    $query1->select('*');
    $query1->from('#__g_maps');
    $query1->where('id=' . $mapId);
    $db1->setQuery($query1);
    $results = $db1->loadObjectList();
    $response = array();

    foreach ($results as $rowmap) {
        $mapId = $rowmap->id;
        $mapName = $rowmap->name;
        $mapType = $rowmap->type;
        $mapWidth = $rowmap->width;
        $mapHeight = $rowmap->height;
        $mapZoom = $rowmap->zoom;
        $mapAlign = $rowmap->align;
        $mapBorderRadius = $rowmap->border_radius;
        $mapCenterLat = $rowmap->center_lat;
        $mapCenterLng = $rowmap->center_lng;
        $mapPanController = $rowmap->pan_controller;
        $mapTypeController = $rowmap->type_controller;
        $mapScaleController = $rowmap->scale_controller;
        $mapStreetViewController = $rowmap->street_view_controller;
        $mapInfoType = $rowmap->info_type;
        $mapZoomController = $rowmap->zoom_controller;
        $mapOverview = $rowmap->overview_map_controller;
        $mapStylingHuge = $rowmap->styling_hue;
        $mapstylingSaturation = $rowmap->styling_saturation;
        $mapStylingLightness = $rowmap->styling_lightness;
        $mapStyling_gamma = $rowmap->styling_gamma;
        $mapBike_layer = $rowmap->bike_layer;
        $mapTrafficLayer = $rowmap->traffic_layer;
        $mapTransit_layer = $rowmap->transit_layer;
    }
    $response["hue"] = $mapStylingHuge;
    $response["saturation"] = $mapstylingSaturation;
    $response["lightness"] = $mapStylingLightness;
    $response["gamma"] = $mapStyling_gamma;
    $response["zoom"] = $mapZoom;
    $response["type"] = $mapType;
    $response["bike"] = $mapBike_layer;
    $response["traffic"] = $mapTrafficLayer;
    $response["transit"] = $mapTransit_layer;
    $response["last_id"] = $last_id;
    if ($result != null) {
        $response["result"] = $result;
    }
    $response1["success"] = $response;
    echo json_encode($response1);
}



//Polygone 
function updatePoligone ($mapId) {
    $db = JFactory::getDBO();
    $query = $db->getQuery(true);
    $query->select('*');
    $query->from('#__g_polygones');
    $query->where('map=' . $mapId);
    $db->setQuery($query);
    $results = $db->loadObjectList();
    return $results;    
}


//Polyline
function updatePolylines($mapId) {
    $db = JFactory::getDBO();
    $query = $db->getQuery(true);
    $query->select('*');
    $query->from('#__g_polylines');
    $query->where('map=' . $mapId);
    $db->setQuery($query);
    $results = $db->loadObjectList();
    return $results;
}

// Circle

function updateCircle($mapId) {
    $db = JFactory::getDBO();
    $query = $db->getQuery(true);
    $query->select('*');
    $query->from('#__g_circles');
    $query->where('map=' . $mapId);
    $db->setQuery($query);
    $results = $db->loadObjectList();
    return $results;
    
}


// Map

function updateMap($mapId) {
    $db = JFactory::getDBO();
    $query = $db->getQuery(true);
    $query->select('*');
    $query->from('#__g_maps');
    $query->where('id=' . $mapId);
    $db->setQuery($query);
    $results = $db->loadObjectList();
    return $results;
    
}