<?php
/**
 * @package Google Maps
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 **/

defined('_JEXEC') or die;
jimport('joomla.application.component.modeladmin');
jimport('joomla.application.component.helper');

class GooglemapsModelAjax extends JModelAdmin {

    public function getGeneralOption() {
        $db = JFactory::getDBO();
        $id = JRequest::getVar('mapId');
        $query = $db->getQuery(true);
        $query->select('*');
        $query->from('#__g_maps');
        $query->where('id=' . $id);
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
    }
    public function getMarker() {
        $db = JFactory::getDBO();
        $id = JRequest::getVar('mapId');
        $query = $db->getQuery(true);
        $query->select('*');
        $query->from('#__g_markers');
        $query->where('map=' . $id);
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
    }
    public function getPolylines() {
        $db = JFactory::getDBO();
        $id = JRequest::getVar('mapId');
        $query = $db->getQuery(true);
        $query->select('*');
        $query->from('#__g_polylines');
        $query->where('map='.$id);
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
    }
    public function getCircles() {
        $db = JFactory::getDBO();
        $id = JRequest::getVar('mapId');
        $query = $db->getQuery(true);
        $query->select('*');
        $query->from('#__g_circles');
        $query->where('map=' . $id);
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
    }
    public function getPoligon() {
        $db = JFactory::getDBO();
        $id = JRequest::getVar('mapId');
        //$id = $_GET['id'];
        $query = $db->getQuery(true);
        $query->select('*');
        $query->from('#__g_polygones');
        $query->where('map='.$id);
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
    }
    
    
      public function ajax() {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('*');
        $query->from('#__g_maps');
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
        
    }
    
    public function getTable($type = 'Ajax', $prefix = 'Googlemapstable', $config = array()) {
        return JTable::getInstance($type, $prefix, $config);
    }

    public function getForm($data = array(), $loadData = true) {

        $form = $this->loadForm(
                $this->option . '.ajax', 'ajax', array('control' => 'jform', 'load_data' => $loadData)
        );

        if (empty($form)) {
            return false;
        }

        return $form;
    }

}
